# \nre\coreClassLoader

Class for safely loading classes.

## Summary

Methods
Properties
Constants
load()
check()
stripNamespace()
stripClassType()
getClassName()
concatClassNames()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  core/ClassLoader.inc
Package
  Default
Class hierarchy
  \nre\core\ClassLoader

## Tags

author | coderkun olli@coderkun.de

## Methods

### load()

    load(  $fullClassName)

Load a class.

#### Parameters

| $fullClassName |

#### Throws

\nre\core\ClassNotFoundException

#

static

## Tags

None found

### check()

    check(string  $className, string  $parentClassName)

Check inheritance of a class.

#### Parameters

string | $className | Name of the class to check
string | $parentClassName | Name of the parent class

#### Throws

\nre\core\ClassNotValidException

#

static

## Tags

None found

### stripNamespace()

    stripNamespace(string  $class) : \nre\core\Name

Strip the namespace from a class name.

#### Parameters

string | $class | Name of a class including its namespace

#### Returns

\nre\core\Name —

of the given class without its namespace

#

static

## Tags

None found

### stripClassType()

    stripClassType(string  $className) : \nre\core\Name

Strip the class type from a class name.

#### Parameters

string | $className | Name of a class

#### Returns

\nre\core\Name —

of the given class without its class type

#

static

## Tags

None found

### getClassName()

    getClassName(string  $class) : \nre\core\Only

Strip the namespace and the class type of a full class name to get only its name.

#### Parameters

string | $class | Full name of a class

#### Returns

\nre\core\Only —

the name of the given class

#

static

## Tags

None found

### concatClassNames()

    concatClassNames(string  $className1) : string

Concatenate strings to a class name following the CamelCase pattern.

#### Parameters

string | $className1 | Arbitrary number of strings to concat

#### Returns

string —

Class name as CamelCase

#

static

## Tags

None found

### ClassLoader.inc